## python-django 5.2.3

=== debian/changelog ===
python-django (3:5.2.3-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://www.djangoproject.com/weblog/2025/jun/10/bugfix-releases/>

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Jun 2025 08:53:25 -0700
