=== debian/changelog ===
python-django (3:5.2.4-1ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: Potential SQL injection
    - debian/patches/CVE-2025-59681.patch: protect against SQL injection in
      django/db/models/sql/query.py, tests/aggregation/tests.py,
      tests/annotations/tests.py,
      tests/expressions/test_queryset_values.py, tests/queries/tests.py.
    - CVE-2025-59681
  * SECURITY UPDATE: Potential partial directory-traversal
    - debian/patches/CVE-2025-59682.patch: validate path in
      django/utils/archive.py, tests/utils_tests/test_archive.py.
    - CVE-2025-59682

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Oct 2025 12:49:58 -0400

python-django (3:5.2.4-1ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: SQL injection
    - debian/patches/CVE-2025-57833.patch: protected
      FilteredRelation against SQL injection in column
      aliases in django/db/models/sql/query.py,
      tests/annotations/tests.py.
    - debian/patches/fixing_test_stip_tags.patch: Adjusted
      utils_tests.test_html.TestUtilsHtml.test_strip_tags following Python's
      HTMLParser new behavior in tests/utils_test/test_html.py.
    - debian/patches/fixing_test_parsing_errors.patch: Fixed
      test_utils.tests.HTMLEqualTests.test_parsing_errors
      following Python's HTMLParser fixed parsing in
      tests/test_utils/tests.py.
    - CVE-2025-57833

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 15 Sep 2025 09:13:25 -0300

python-django (3:5.2.4-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://www.djangoproject.com/weblog/2025/jul/02/bugfix-releases/>

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Jul 2025 10:29:43 -0700
