## python-django 5.2.5

=== debian/changelog ===
python-django (3:5.2.5-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Aug 2025 09:50:20 -0700
