## python-django 5.2.9

=== debian/changelog ===
python-django (3:5.2.9-0ubuntu3) resolute; urgency=medium

  * SECURITY UPDATE: Username enumeration through timing difference in
    mod_wsgi authentication handler
    - debian/patches/CVE-2025-13473.patch: standardize timing of
      check_password() in mod_wsgi auth handler in
      django/contrib/auth/handlers/modwsgi.py,
      tests/auth_tests/test_handlers.py.
    - CVE-2025-13473
  * SECURITY UPDATE: Potential denial-of-service vulnerability via repeated
    headers when using ASGI
    - debian/patches/CVE-2025-14550.patch: optimize repeated header parsing
      in ASGI requests in django/core/handlers/asgi.py,
      tests/asgi/tests.py.
    - CVE-2025-14550
  * SECURITY UPDATE: Potential SQL injection via raster lookups on PostGIS
    - debian/patches/CVE-2026-1207.patch: prevent SQL injections in
      RasterField lookups via band index in
      django/contrib/gis/db/backends/postgis/operations.py,
      tests/gis_tests/rasterapp/test_rasterfield.py.
    - CVE-2026-1207
  * SECURITY UPDATE: Potential denial-of-service vulnerability in
    django.utils.text.Truncator HTML methods
    - debian/patches/CVE-2026-1285.patch: mitigate potential DoS in
      django.utils.text.Truncator for HTML input in django/utils/text.py,
      tests/utils_tests/test_text.py.
    - CVE-2026-1285
  * SECURITY UPDATE: Potential SQL injection in column aliases via control
    characters
    - debian/patches/CVE-2026-1287.patch: protect against SQL injection in
      column aliases via control characters in
      django/db/models/sql/query.py, tests/aggregation/tests.py,
      tests/annotations/tests.py, tests/queries/tests.py,
      tests/expressions/test_queryset_values.py.
    - CVE-2026-1287
  * SECURITY UPDATE: Potential SQL injection via QuerySet.order_by and
    FilteredRelation
    - debian/patches/CVE-2026-1312-1.patch: protect order_by() from SQL
      injection via aliases with periods in
      django/db/models/sql/compiler.py, tests/ordering/tests.py.
    - debian/patches/CVE-2026-1312-2.patch: raise ValueError when
      FilteredRelation aliases contain periods in
      django/db/models/sql/query.py, tests/filtered_relation/tests.py,
      tests/ordering/tests.py.
    - CVE-2026-1312

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Feb 2026 13:38:58 -0500

python-django (3:5.2.9-0ubuntu2) resolute; urgency=medium

  * d/p/pgsql18-not-null-constraints.patch: Skip NOT NULL constraints on
    PostgreSQL 18 (LP: #2136172)

 -- Athos Ribeiro <athos@ubuntu.com>  Mon, 15 Dec 2025 15:24:04 -0300

python-django (3:5.2.9-0ubuntu1) resolute; urgency=medium

  * Updated to 5.2.9 to fix security issues.
    - CVE-2025-13372
    - CVE-2025-64460
  * debian/patches/fix-new-python.patch: fix FTBFS with newer Python.
  * Dropped patches no longer needed with 5.2.9
    - CVE-2025-57833.patch
    - fixing_test_strip_tags.patch
    - fixing_test_parsing_errors.patch
    - CVE-2025-59681.patch
    - CVE-2025-59682.patch
    - CVE-2025-64459-1.patch
    - CVE-2025-64459-2.patch
    - FTBFS-test_pickle_errors_detection.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Dec 2025 07:54:27 -0500

python-django (3:5.2.4-1ubuntu3) resolute; urgency=medium

  * SECURITY UPDATE: Potential SQL injection in QuerySet and Q objects
    - debian/patches/CVE-2025-64459-1.patch: Add connects and checks for them
      in django/db/models/query_utils.py.
    - debian/patches/CVE-2025-64459-2.patch: Add PROHIBITED_FILTER_KWARGS and
      check for them in django/db/models/query.py.
    - CVE-2025-64459
  * FTBFS-test_pickle_errors_detection.patch: Fix FTBFS in
    test_pickle_errors_detection test function in
    tests/test_runner/test_parallel.py

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 06 Nov 2025 09:58:31 +0100
