## python-django 6.0~alpha1

=== debian/changelog ===
python-django (3:6.0~alpha1-1) experimental; urgency=medium

  * New upstream beta release.
    <https://www.djangoproject.com/weblog/2025/sep/17/django-60-alpha-released/>
  * Update documentation move snippet after move from .txt to .md.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 17 Sep 2025 13:52:35 -0700
