## python-django 6.0~beta1

=== docs/Makefile ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 	@echo "  spelling   to check for typos in documentation"
 	@echo "  black      to apply the black formatting to code blocks in documentation"
+	@echo "  lint       to check for linting errors in documentation"
 
 
 clean:
@@ -174,3 +175,12 @@
 		| xargs blacken-docs --rst-literal-block; echo $$? > "$(BUILDDIR)/black/output.txt"
 	@echo
 	@echo "Code blocks reformatted"
+
+lint:
+	$(PYTHON) lint.py
+	@echo
+	@echo "Documentation lint complete."
+
+check: spelling black lint
+	@echo
+	@echo "Style and spelling checks completed."
