=== docs/requirements.txt ===
pyenchant
Sphinx>=4.5.0
sphinxcontrib-spelling
blacken-docs
sphinx-lint
