=== debian/changelog ===
python-django (3:6.0~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    <https://www.djangoproject.com/weblog/2025/oct/22/django-60-beta-released/>

 -- Chris Lamb <lamby@debian.org>  Thu, 23 Oct 2025 08:51:25 -0700
