## python-django 6.0~rc1

=== debian/changelog ===
python-django (3:6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    <https://www.djangoproject.com/weblog/2025/nov/19/django-60-rc-released/>

 -- Chris Lamb <lamby@debian.org>  Thu, 20 Nov 2025 08:37:08 -0800
