## python-django 6.0

=== debian/changelog ===
python-django (3:6.0-1) experimental; urgency=medium

  * New upstream 6.0 release.
    <https://www.djangoproject.com/weblog/2025/dec/03/django-60-released/>
  * Python 3.14 is not supported yet.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Dec 2025 09:16:51 -0800
