## python-django 6.0.1

=== debian/changelog ===
python-django (3:6.0.1-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/6.0/releases/6.0.1/>

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Jan 2026 14:48:32 -0800
