=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 X-Python3-Version: << 3.14
 Build-Depends:
  debhelper-compat (= 13),
